Path: news.easynews.com!core-easynews!newsfeed1.easynews.com!newsfeed2.easynews.com!easynews.com!easynews!newsfeed.news2me.com!snoopy.risq.qc.ca!newsfeed.telusplanet.net!news1.telusplanet.net.POSTED!53ab2750!not-for-mail
Message-ID: <3EBAAB1C.FFEFC285@telusplanet.net>
From: Hans Forbrich <forbrich@telusplanet.net>
X-Mailer: Mozilla 4.8 [en] (Win95; U)
X-Accept-Language: en
MIME-Version: 1.0
Newsgroups: comp.databases.oracle.tools
Subject: Re: Oracle 8 & 9
References: <R5_sa.1269$_o4.17695@news-server.bigpond.net.au>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Lines: 69
Date: Thu, 08 May 2003 19:13:41 GMT
NNTP-Posting-Host: 161.184.143.77
X-Trace: news1.telusplanet.net 1052421221 161.184.143.77 (Thu, 08 May 2003 13:13:41 MDT)
NNTP-Posting-Date: Thu, 08 May 2003 13:13:41 MDT
Xref: core-easynews comp.databases.oracle.tools:58859
X-Received-Date: Thu, 08 May 2003 12:13:09 MST (news.easynews.com)

LouisD wrote:

> I am progressively learning to use Oracle and currently using Oracle 8.17,
> and Oracle Designer and developer 6, and have the following questions.
>
> Can I install Oracle 9i and Oracle Developer suite over Oracle the versions
> I am currently using.

No!!!!!

> If I create a database including forms and reports can I subsequently export
> the the information created back previous versions
>
> Also what constraints are there in exporting and importing users created
> table and docs from my desktop at home to my desktop at work or to my laptop
>
> Thanks in advance for your assitance

Sounds like you need a bit of training.  You are confusing a lot of separate
issues.

1) Upgrade Instance ...

When doing this - always keep the versions of the program separate (in your
mind).  And keep the instance & database separate (in your mind) from the
programs.

You have 3 separate operations ... INSTALL, PATCH and MIGRATE.  The first 2 are
for programs, the last for data & database

Oracle created "Oracle Home" as the method to keep the programs separate.  A
common technique is to name the Oracle home based on the version.  For example,
I use DB9_0_2, DB9_2_0, AS9_0_1 (DB = database, AS = App Server, DS = Dev Suite,
etc.).  You can PATCH into an existing Oracle Home.  You should INSTALL [a new
copy of the program] into a new Oracle Home.

On the other hand, you should not confuse the version of the program with a
version of the database/instance.  The instance corresponds to the program being
used to manage the database & hence points back to a specific Oracle Home.

The OFA method of setting directories helps keep this extremely separated and
(hopefully) clear.

2) Upgrade Database ...

On the other hand, you can MIGRATE the database using the upgrade utilities in
the new install.  The database can be migrated at any time after the programs
are installed.  You can also migrate the forms you have developed.  Once you
have migrate, you generally can not reverse that action without considerable
effort.

3) Forms/Reports ...

When you create a Form/Report, you use a database to hold the Form/Report
definition.  The resulting Form/Report can operate on any other database and are
NOT tied to the database you use for development.  You >can< generally run
Reports against an older database BUT you may find that you have developed he
Form/Report to take advantage of a feature that's not available i the older
version (then you're hooped!)

Exports & imports are generally considered upward compatible ONLY - you can not
export from Oracle9i and import into Oracle8i.  However, there are plenty of
methods available for getting the data from a 9i to and 8i database.

Since you are using Designer - use that to generate the dictionary in the
appropriate version.

Hope this helps

